Skip to main content
GET
/
v1
/
projects
/
{id}
Get Project
curl --request GET \
  --url https://api.mokaru.ai/v1/projects/{id} \
  --header 'Authorization: Bearer <token>'

Documentation Index

Fetch the complete documentation index at: https://docs.mokaru.ai/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Retrieve a single project by id.
Scope required: projects:read | Rate limit: 30 requests/min

Request

GET /v1/projects/clx...

Path Parameters

id
string
required
Project id (from list-projects)

Response

{
  "data": {
    "id": "clx...",
    "name": "Open Source CRM",
    "organisation": "Self-initiated",
    "description": "...",
    "startDate": "2023-01-01T00:00:00.000Z",
    "endDate": null,
    "isCurrent": true,
    "url": "https://github.com/user/crm",
    "createdAt": "2026-01-15T10:00:00.000Z",
    "updatedAt": "2026-01-15T10:00:00.000Z"
  }
}